Search found 36 matches

Go to advanced search

by emills
Fri May 23, 2014 11:55 pm
Forum: Python scripting and macros
Topic: Bezier Triangle
Replies: 12
Views: 3241

Re: Bezier Triangle

the other pic
lumpy surface.JPG
lumpy surface.JPG (43.25 KiB) Viewed 945 times
anyway..i gave up after that. for now. i plan to come back with a full subdivision triangle nurbing scheme...in 10 years :)
by emills
Fri May 23, 2014 11:52 pm
Forum: Python scripting and macros
Topic: Bezier Triangle
Replies: 12
Views: 3241

Re: Bezier Triangle

haven't had a chance to try your code yet, but i was wondering if you could tell me if it performs better than the picture below. I got that far, then shook my fist angrily at the nurbs gods! there are two pictures. the first one is the control mesh and automatically derived smoothed edges lumpy mes...
by emills
Sat Oct 19, 2013 9:41 pm
Forum: Open discussion
Topic: Call for screenshots
Replies: 89
Views: 66373

Re: Call for screenshots

I have a few things that might be useful, not as masterpieces, but they show what FreeCAD can do This is just a test loft made with curves imported from inkscape. it's not super interesting, but it shows off FreeCAD's abilty to create free forms http://imageshack.us/a/img201/3990/vyn.png http://imag...
by emills
Fri Oct 18, 2013 6:17 pm
Forum: Developers corner
Topic: Project point or line to a plane in python
Replies: 3
Views: 1873

Re: Project point or line to a plane in python

Thank you for the pointer

i'm guessing the projectToPlane parameters are (point on plane,normal direction)?
by emills
Fri Oct 18, 2013 5:55 am
Forum: Developers corner
Topic: Project point or line to a plane in python
Replies: 3
Views: 1873

Project point or line to a plane in python

Hi, is there a python function to do an orthogonal projection onto a plane? Basically i have a plane from three points, Part.Plane(pa,pb,pc), and fourth point pd. i want to find pe, the point on the plane that is closest to pd. I had just assumed it would be available as a method of Part.Plane, Part...
by emills
Tue Jun 18, 2013 12:48 am
Forum: Help on using FreeCAD
Topic: python scripting
Replies: 2
Views: 559

Re: python scripting

thanks, that works.
by emills
Sun Jun 16, 2013 2:07 am
Forum: Help on using FreeCAD
Topic: python scripting
Replies: 2
Views: 559

python scripting

OS: Windows 7 Platform: 32-bit Version: 0.13.1828 Python version: 2.6.2 Qt version: 4.5.2 Coin version: 3.1.0 SoQt version: 1.4.1 OCC version: 6.3.0 hi, i'm trying to use the following snippet (that i lifted from one of Werner's examples) in my code shape = App.ActiveDocument.ActiveObject.Shape and ...
by emills
Mon May 06, 2013 4:24 pm
Forum: Help on using FreeCAD
Topic: python parameters for bezier/spline objects
Replies: 2
Views: 1106

Re: python parameters for bezier/spline objects

Awesome, thank you. Can't wait to try it after work.
by emills
Mon May 06, 2013 12:00 am
Forum: Help on using FreeCAD
Topic: python parameters for bezier/spline objects
Replies: 2
Views: 1106

python parameters for bezier/spline objects

I'm having a hard time digging up the parameter syntax for the following. I looked on the website and got to a dead end after the scripting pages Part.BSplineCurve Part.BsplineSurface Part.BezierCurve Part.BezierSurface When i type "Part." in the interpreter, i can see these options, and hovering th...
by emills
Fri Mar 02, 2012 6:27 pm
Forum: Help on using FreeCAD
Topic: "Refine shape" flips normals
Replies: 12
Views: 2038

Re: "Refine shape" flips normals

[if this is still completely off the mark, please just ignore :)] i was talking about the very next thread on this subforum. (i had been time travellling, and got confused where to post) " you can select only one edge in a chain and the fillet/chamfer will propagate to all tangent edges? Cool! That'...

Go to advanced search